Bug 585968 - sftp connection closes unexpectedly as soon as a password is entered
sftp connection closes unexpectedly as soon as a password is entered
Status: CLOSED DUPLICATE of bug 576765
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openssh (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jan F. Chadima
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 10:39 EDT by Casey Dahlin
Modified: 2014-06-18 04:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 13:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to close stderr for new sessions (363 bytes, patch)
2010-04-26 10:39 EDT, Casey Dahlin
no flags Details | Diff

  None (edit)
Description Casey Dahlin 2010-04-26 10:39:37 EDT
Created attachment 409194 [details]
Patch to close stderr for new sessions

Description of problem:
sftp connections seem to abort when the customer logs in. The suspected cause is due to the session daemon attempting to write to stderr and receiving SIGPIPE. A patch is attached which addresses the issue.

Version-Release number of selected component (if applicable):
openssh-4.3p2-36.el5_4.3
Comment 1 Jan F. Chadima 2010-05-17 13:10:51 EDT

*** This bug has been marked as a duplicate of bug 576765 ***

Note You need to log in before you can comment on or make changes to this bug.